Bug 1290271 - Services : Bundle deployment to create multiple stack at once fails
Services : Bundle deployment to create multiple stack at once fails
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Bill Wei
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 19:49 EST by Shveta
Modified: 2015-12-15 11:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 11:48:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
path (152.12 KB, image/png)
2015-12-10 14:19 EST, Shveta
no flags Details

  None (edit)
Description Shveta 2015-12-09 19:49:29 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create two catalog items of type "Amazon"
2. Order service individually . Service provisions and stack is created.
3. Create a catalog bundle with the above two items as resources
4. Order service . Service fails with error

Actual results:


Expected results:


Additional info:
Automation log : 
=========================

[----] I, [2015-12-09T19:39:13.100561 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Following Relationship [miqaedb:/service/Provisioning/Profile/EvmGroup-super_administrator#get_quota_state_machine]
[----] I, [2015-12-09T19:39:13.159973 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Updated namespace [miqaedb:/service/Provisioning/Profile/EvmGroup-super_administrator#get_quota_state_machine  RedHat/service/Provisioning]
[----] I, [2015-12-09T19:39:13.388245 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Instance [/RedHat/service/Provisioning/Profile/EvmGroup-super_administrator] not found in MiqAeDatastore - trying [.missing]
[----] I, [2015-12-09T19:39:13.390738 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Followed  Relationship [miqaedb:/service/Provisioning/Profile/EvmGroup-super_administrator#get_quota_state_machine]
[----] I, [2015-12-09T19:39:13.391528 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Following Relationship [miqaedb:/service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/Default#create]
[----] I, [2015-12-09T19:39:13.475911 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Updated namespace [miqaedb:/service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/Default#create  RedHat/service/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:13.559000 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) In State=[ValidateQuotas], invoking [on_entry] method=[service_request_quota_validation]
[----] I, [2015-12-09T19:39:13.560244 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Updated namespace [service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/service_request_quota_validation  RedHat/service/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:13.565281 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Invoking [inline] method [/RedHat/Service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/service_request_quota_validation] with inputs [{}]
[----] I, [2015-12-09T19:39:13.566330 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod [/RedHat/Service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/service_request_quota_validation]> Starting 
[----] I, [2015-12-09T19:39:13.885807 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Request id: 19 options: {:dialog=>{"dialog_stack_name"=>"bundlestack6", "dialog_stack_onfailure"=>"ROLLBACK", "dialog_stack_timeout"=>nil, "dialog_param_KeyName"=>"dave", "dialog_param_DBName"=>"MyDatabase", "password::dialog_param_DBUser"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "password::dialog_param_DBPassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "password::dialog_param_DBRootPassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "dialog_param_InstanceType"=>"m1.small", "dialog_param_SSHLocation"=>"0.0.0.0/0"}, :workflow_settings=>{:resource_action_id=>81, :dialog_id=>13}, :src_id=>7, :requester_group=>"EvmGroup-super_administrator"}
[----] I, [2015-12-09T19:39:13.887472 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Inspecting Dialog Options: {"dialog_stack_name"=>"bundlestack6", "dialog_stack_onfailure"=>"ROLLBACK", "dialog_stack_timeout"=>nil, "dialog_param_KeyName"=>"dave", "dialog_param_DBName"=>"MyDatabase", "password::dialog_param_DBUser"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "password::dialog_param_DBPassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "password::dialog_param_DBRootPassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", "dialog_param_InstanceType"=>"m1.small", "dialog_param_SSHLocation"=>"0.0.0.0/0"}
[----] I, [2015-12-09T19:39:13.888457 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_stack_name value: "bundlestack6" to options_hash
[----] I, [2015-12-09T19:39:13.889087 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_stack_onfailure value: "ROLLBACK" to options_hash
[----] I, [2015-12-09T19:39:13.889836 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_param_keyname value: "dave" to options_hash
[----] I, [2015-12-09T19:39:13.890560 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_param_dbname value: "MyDatabase" to options_hash
[----] I, [2015-12-09T19:39:13.891273 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :"password::dialog_param_dbuser" value: "v2:{US+g5Amgxk5PYfKaOSfmwA==}" to options_hash
[----] I, [2015-12-09T19:39:13.891949 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :"password::dialog_param_dbpassword" value: "v2:{US+g5Amgxk5PYfKaOSfmwA==}" to options_hash
[----] I, [2015-12-09T19:39:13.892589 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :"password::dialog_param_dbrootpassword" value: "v2:{US+g5Amgxk5PYfKaOSfmwA==}" to options_hash
[----] I, [2015-12-09T19:39:13.893267 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_param_instancetype value: "m1.small" to options_hash
[----] I, [2015-12-09T19:39:13.893974 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Adding seq_id: 0 key: :dialog_param_sshlocation value: "0.0.0.0/0" to options_hash
[----] I, [2015-12-09T19:39:13.894639 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> Inspecting options_hash: {0=>{:dialog_stack_name=>"bundlestack6", :dialog_stack_onfailure=>"ROLLBACK", :dialog_param_keyname=>"dave", :dialog_param_dbname=>"MyDatabase", :"password::dialog_param_dbuser"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", :"password::dialog_param_dbpassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", :"password::dialog_param_dbrootpassword"=>"v2:{US+g5Amgxk5PYfKaOSfmwA==}", :dialog_param_instancetype=>"m1.small", :dialog_param_sshlocation=>"0.0.0.0/0"}}
[----] I, [2015-12-09T19:39:13.900289 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> service_template id: 7 service_type: composite
[----] I, [2015-12-09T19:39:13.903857 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> services: 2
[----] I, [2015-12-09T19:39:13.906959 #13764:6b05c74]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod service_request_quota_validation> quota_hash: {:quota_exceeded=>false, :quota_warn_exceeded=>false}
[----] I, [2015-12-09T19:39:13.914580 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) <AEMethod [/RedHat/Service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/service_request_quota_validation]> Ending
[----] I, [2015-12-09T19:39:13.914695 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Method exited with rc=MIQ_OK
[----] I, [2015-12-09T19:39:13.915412 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Next State=[]
[----] I, [2015-12-09T19:39:13.915610 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Followed  Relationship [miqaedb:/service/Provisioning/StateMachines/ServiceProvisionRequestQuotaVerification/Default#create]
[----] I, [2015-12-09T19:39:13.915892 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Followed  Relationship [miqaedb:/System/Policy/ServiceTemplateProvisionRequest_starting#create]
[----] I, [2015-12-09T19:39:13.916168 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Followed  Relationship [miqaedb:/System/Policy/request_starting#create]
[----] I, [2015-12-09T19:39:13.916497 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_request_19]) Followed  Relationship [miqaedb:/System/Event/request_starting#create]
[----] I, [2015-12-09T19:39:36.160516 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instantiating [/Cloud/Orchestration/Provisioning/StateMachines/Provision/default?MiqServer%3A%3Amiq_server=1&ServiceTemplateProvisionTask%3A%3Aservice_template_provision_task=41&User%3A%3Auser=1&dialog_param_DBName=MyDatabase&dialog_param_InstanceType=m1.small&dialog_param_KeyName=dave&dialog_param_SSHLocation=0.0.0.0%2F0&dialog_stack_name=bundlestack6&dialog_stack_onfailure=ROLLBACK&object_name=default&password%3A%3Adialog_param_DBPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBRootPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBUser=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&request=clone_to_service&vmdb_object_type=service_template_provision_task#create]
[----] I, [2015-12-09T19:39:36.169736 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Instantiating [/Cloud/Orchestration/Provisioning/StateMachines/Provision/default?MiqServer%3A%3Amiq_server=1&ServiceTemplateProvisionTask%3A%3Aservice_template_provision_task=34&User%3A%3Auser=1&ae_state=checkprovisioned&ae_state_retries=7&ae_state_started=2015-12-10%2000%3A31%3A35%20UTC&dialog_param_DBName=MyDatabase&dialog_param_InstanceType=m1.small&dialog_param_KeyName=dave&dialog_param_SSHLocation=0.0.0.0%2F0&dialog_stack_name=ec2stack2&dialog_stack_onfailure=ROLLBACK&object_name=default&password%3A%3Adialog_param_DBPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBRootPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBUser=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&request=clone_to_service&vmdb_object_type=service_template_provision_task#create]
[----] I, [2015-12-09T19:39:36.249278 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [/Cloud/Orchestration/Provisioning/StateMachines/Provision/default?MiqServer%3A%3Amiq_server=1&ServiceTemplateProvisionTask%3A%3Aservice_template_provision_task=41&User%3A%3Auser=1&dialog_param_DBName=MyDatabase&dialog_param_InstanceType=m1.small&dialog_param_KeyName=dave&dialog_param_SSHLocation=0.0.0.0%2F0&dialog_stack_name=bundlestack6&dialog_stack_onfailure=ROLLBACK&object_name=default&password%3A%3Adialog_param_DBPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBRootPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBUser=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&request=clone_to_service&vmdb_object_type=service_template_provision_task#create  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:36.263622 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Updated namespace [/Cloud/Orchestration/Provisioning/StateMachines/Provision/default?MiqServer%3A%3Amiq_server=1&ServiceTemplateProvisionTask%3A%3Aservice_template_provision_task=34&User%3A%3Auser=1&ae_state=checkprovisioned&ae_state_retries=7&ae_state_started=2015-12-10%2000%3A31%3A35%20UTC&dialog_param_DBName=MyDatabase&dialog_param_InstanceType=m1.small&dialog_param_KeyName=dave&dialog_param_SSHLocation=0.0.0.0%2F0&dialog_stack_name=ec2stack2&dialog_stack_onfailure=ROLLBACK&object_name=default&password%3A%3Adialog_param_DBPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBRootPassword=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&password%3A%3Adialog_param_DBUser=v2%3A%7BUS%2Bg5Amgxk5PYfKaOSfmwA%3D%3D%7D&request=clone_to_service&vmdb_object_type=service_template_provision_task#create  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:36.316449 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) In State=[pre1], invoking [on_entry] method=[update_serviceprovision_status(status => 'Processing Preprovision')]
[----] I, [2015-12-09T19:39:36.358428 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:36.364744 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Invoking [inline] method [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status] with inputs [{"status"=>"Processing Preprovision"}]
[----] I, [2015-12-09T19:39:36.365578 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Starting 
[----] I, [2015-12-09T19:39:36.497043 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Processing State=[checkprovisioned]
[----] I, [2015-12-09T19:39:36.497307 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Following Relationship [miqaedb:/Cloud/Orchestration/Provisioning/StateMachines/Methods/CheckProvisioned#create]
[----] I, [2015-12-09T19:39:36.543734 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Updated namespace [miqaedb:/Cloud/Orchestration/Provisioning/StateMachines/Methods/CheckProvisioned#create  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:36.587553 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Updated namespace [Cloud/Orchestration/Provisioning/StateMachines/Methods/check_provisioned  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:36.593398 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Invoking [inline] method [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/check_provisioned] with inputs [{}]
[----] I, [2015-12-09T19:39:36.594244 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/check_provisioned]> Starting 
[----] I, [2015-12-09T19:39:36.916167 #29145:52fb980]  INFO -- : Q-task_id([service_template_provision_task_34]) <AEMethod check_provisioned> Check orchestration deployed
[----] I, [2015-12-09T19:39:37.304034 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/check_provisioned]> Ending
[----] I, [2015-12-09T19:39:37.304154 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Method exited with rc=MIQ_OK
[----] I, [2015-12-09T19:39:37.304491 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Followed  Relationship [miqaedb:/Cloud/Orchestration/Provisioning/StateMachines/Methods/CheckProvisioned#create]
[----] I, [2015-12-09T19:39:37.304647 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Processed  State=[checkprovisioned] with Result=[retry]
[----] I, [2015-12-09T19:39:37.304894 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) In State=[checkprovisioned], invoking [on_exit] method=[update_serviceprovision_status(status => 'Creating Stack')]
[----] I, [2015-12-09T19:39:37.349134 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Updated namespace [Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:37.355508 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Invoking [inline] method [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status] with inputs [{"status"=>"Creating Stack"}]
[----] I, [2015-12-09T19:39:37.356172 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Starting 
[----] I, [2015-12-09T19:39:37.610825 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Ending
[----] I, [2015-12-09T19:39:37.611013 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Method exited with rc=MIQ_OK
[----] I, [2015-12-09T19:39:37.611581 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Processing State=[pre1]
[----] I, [2015-12-09T19:39:37.611930 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Following Relationship [miqaedb:/Cloud/Orchestration/Provisioning/StateMachines/Methods/Preprovision#create]
[----] I, [2015-12-09T19:39:37.662744 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [miqaedb:/Cloud/Orchestration/Provisioning/StateMachines/Methods/Preprovision#create  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:37.707038 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [Cloud/Orchestration/Provisioning/StateMachines/Methods/preprovision  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:37.713138 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Invoking [inline] method [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/preprovision] with inputs [{}]
[----] I, [2015-12-09T19:39:37.713836 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/preprovision]> Starting 
[----] I, [2015-12-09T19:39:37.723434 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Ending
[----] I, [2015-12-09T19:39:37.723580 #29145:e91e98]  INFO -- : Q-task_id([service_template_provision_task_34]) Method exited with rc=MIQ_OK
[----] I, [2015-12-09T19:39:38.209422 #13764:7b10164]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod preprovision> Starting Orchestration Pre-Provisioning
[----] E, [2015-12-09T19:39:38.218908 #13764:532ed44] ERROR -- : Q-task_id([service_template_provision_task_41]) <AEMethod preprovision> The following error occurred during method evaluation:
[----] E, [2015-12-09T19:39:38.219629 #13764:532ed44] ERROR -- : Q-task_id([service_template_provision_task_41]) <AEMethod preprovision>   NoMethodError: undefined method `orchestration_manager' for #<MiqAeMethodService::MiqAeServiceService:0x00000007df4fb0>
[----] E, [2015-12-09T19:39:38.220933 #13764:532ed44] ERROR -- : Q-task_id([service_template_provision_task_41]) <AEMethod preprovision>   (druby://127.0.0.1:41929) /var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:176:in `method_missing'
(druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1588:in `perform_without_block'
(druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1548:in `perform'
(druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1626:in `block (2 levels) in main_loop'
(druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `loop'
(druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `block in main_loop'
(druby://127.0.0.1:41929) /var/www/miq/vmdb/lib/extensions/ar_thread.rb:22:in `block in start_with_release'
[----] E, [2015-12-09T19:39:38.225666 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: (druby://127.0.0.1:41929) /var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:176:in `method_missing': undefined method `orchestration_manager' for #<MiqAeMethodService::MiqAeServiceService:0x00000007df4fb0> (NoMethodError)
[----] E, [2015-12-09T19:39:38.225791 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1588:in `perform_without_block'
[----] E, [2015-12-09T19:39:38.225899 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1548:in `perform'
[----] E, [2015-12-09T19:39:38.226005 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1626:in `block (2 levels) in main_loop'
[----] E, [2015-12-09T19:39:38.226111 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `loop'
[----] E, [2015-12-09T19:39:38.226238 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `block in main_loop'
[----] E, [2015-12-09T19:39:38.226349 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from (druby://127.0.0.1:41929) /var/www/miq/vmdb/lib/extensions/ar_thread.rb:22:in `block in start_with_release'
[----] E, [2015-12-09T19:39:38.226456 #13764:7b102a4] ERROR -- : Q-task_id([service_template_provision_task_41]) Method STDERR: 	from <code: $evm.log("info", "manager = #{service.orchestration_manager.name}(#{service.orchestration_manager.id})")>:13:in `<main>'
[----] I, [2015-12-09T19:39:38.230201 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Methods/preprovision]> Ending
[----] E, [2015-12-09T19:39:38.230694 #13764:a3de8c] ERROR -- : Q-task_id([service_template_provision_task_41]) Aborting instantiation (unknown method return code) because [Method exited with rc=Unknown RC: [1]]
[----] E, [2015-12-09T19:39:38.230854 #13764:a3de8c] ERROR -- : Q-task_id([service_template_provision_task_41]) State=<pre1> running  raised exception: <Method exited with rc=Unknown RC: [1]>
[----] W, [2015-12-09T19:39:38.231028 #13764:a3de8c]  WARN -- : Q-task_id([service_template_provision_task_41]) Error in State=[pre1]
[----] I, [2015-12-09T19:39:38.231224 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) In State=[pre1], invoking [on_error] method=[update_serviceprovision_status(status => 'Error Processing Preprovision')]
[----] I, [2015-12-09T19:39:38.275395 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status  ManageIQ/Cloud/Orchestration/Provisioning/StateMachines]
[----] I, [2015-12-09T19:39:38.275812 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Invoking [inline] method [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status] with inputs [{"status"=>"Error Processing Preprovision"}]
[----] I, [2015-12-09T19:39:38.276440 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Starting 
[----] I, [2015-12-09T19:39:39.153669 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) <AEMethod [/ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision/update_serviceprovision_status]> Ending
[----] I, [2015-12-09T19:39:39.153788 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Method exited with rc=MIQ_OK
[----] I, [2015-12-09T19:39:40.044040 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instantiating [/System/Process/Event?EmsEvent%3A%3Aems_event=1030&MiqServer%3A%3Amiq_server=1&event_id=1030&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event]
[----] I, [2015-12-09T19:39:40.054320 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [/System/Process/Event?EmsEvent%3A%3Aems_event=1030&MiqServer%3A%3Amiq_server=1&event_id=1030&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event  ManageIQ/System]
[----] I, [2015-12-09T19:39:40.099984 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Following Relationship [miqaedb:/System/Event/service_provisioned#create]
[----] I, [2015-12-09T19:39:40.105664 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [miqaedb:/System/Event/service_provisioned#create  ManageIQ/System]
[----] I, [2015-12-09T19:39:40.106000 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instance [/ManageIQ/System/Event/service_provisioned] not found in MiqAeDatastore - trying [.missing]
[----] I, [2015-12-09T19:39:40.113118 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Followed  Relationship [miqaedb:/System/Event/service_provisioned#create]
[----] I, [2015-12-09T19:39:40.733271 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instantiating [/System/Process/Event?EmsEvent%3A%3Aems_event=1031&MiqServer%3A%3Amiq_server=1&event_id=1031&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event]
[----] I, [2015-12-09T19:39:40.742516 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [/System/Process/Event?EmsEvent%3A%3Aems_event=1031&MiqServer%3A%3Amiq_server=1&event_id=1031&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event  ManageIQ/System]
[----] I, [2015-12-09T19:39:40.976346 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Following Relationship [miqaedb:/System/Event/service_provisioned#create]
[----] I, [2015-12-09T19:39:40.981197 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [miqaedb:/System/Event/service_provisioned#create  ManageIQ/System]
[----] I, [2015-12-09T19:39:40.981641 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instance [/ManageIQ/System/Event/service_provisioned] not found in MiqAeDatastore - trying [.missing]
[----] I, [2015-12-09T19:39:40.989257 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Followed  Relationship [miqaedb:/System/Event/service_provisioned#create]
[----] I, [2015-12-09T19:39:41.064876 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instantiating [/System/Process/Event?EmsEvent%3A%3Aems_event=1032&MiqServer%3A%3Amiq_server=1&event_id=1032&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event]
[----] I, [2015-12-09T19:39:41.073891 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [/System/Process/Event?EmsEvent%3A%3Aems_event=1032&MiqServer%3A%3Amiq_server=1&event_id=1032&event_type=service_provisioned&object_name=Event&vmdb_object_type=ems_event  ManageIQ/System]
[----] I, [2015-12-09T19:39:41.115845 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Following Relationship [miqaedb:/System/Event/service_provisioned#create]
[----] I, [2015-12-09T19:39:41.120610 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Updated namespace [miqaedb:/System/Event/service_provisioned#create  ManageIQ/System]
[----] I, [2015-12-09T19:39:41.120913 #13764:a3de8c]  INFO -- : Q-task_id([service_template_provision_task_41]) Instance [/ManageIQ/System/Event/service_provisioned] not found in MiqAeDatastore - trying [.missing]
Comment 1 Greg McCullough 2015-12-10 14:01:35 EST
I suspect that the bundle service might be pointing at the wrong state-machine.  The bundle service should be using the entry point instance CatalogBundleInitialization in ManageIQ/Services/Provisioning/StateMachines/ServiceProvision_Template namespace.

Please check this configuration.
Comment 2 Shveta 2015-12-10 14:19 EST
Created attachment 1104488 [details]
path

Changed the path to above mentioned .

Request fails with error 
"expected string value for option stack_name (MiqException::MiqOrchestrationProvisionError) "
Comment 4 Bill Wei 2015-12-14 11:17:18 EST
From the description each catalog item was created with type "Amazon". Was this a typo? To provision a stack one needs to create a catalog item with type "Orchestration", and select a provider, i.e., orchestration manager, in the dialog.

When you test the catalog item alone, you should set the entry point to ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision.class/default. But when you include such catalog item to a bundle service, the entry point for each catalog item should change to ManageIQ/Cloud/Orchestration/Provisioning/StateMachines/Provision.class/CatalogItemInitialization.

Using catalog bundle to provision multiple stacks was fixed and verified by https://bugzilla.redhat.com/show_bug.cgi?id=1260436. Please retest. You may want to modify the service dialog if you desire to pass different parameters to each sub-service as explained in comment #26.
Comment 7 Shveta 2015-12-14 15:38:39 EST
Bill , 

I am able to provision bundle with two different ec2 providers. 
Thanks. 

One more question ,is it possible to provision bundle with stack of two providers like RHOS and ec2? If yes what should i select in dialog field for bundle . i can only select one where as i need two dialogs for provisioning each stack type.
Comment 8 Bill Wei 2015-12-15 09:33:50 EST
Yes, you can provision two or more stacks through catalog bundle. The auto-generated dialog is based on a single template. It can be directly used by a catalog bundle only if all catalog items use the same template or require the same parameters. You can however modify the dialog or even manually create your own dialog, using the dialog_# prefix for field names, to feed different parameters to each catalog item template.

You can use the tool to generate dialogs for each template, and manually merge two (or more) dialogs into a new dialog. Prefix dialog_1_ to parameters needed by the first catalog item, dialog_2_ to parameters needed by the second catalog item, and so on. Leave the parameters common to all catalog items unchanged. Then you can use this new dialog for the catalog bundle.

Note You need to log in before you can comment on or make changes to this bug.